
'EJERCICIO DE ASP .NET:
'USO DE UN CONTROL DATAGRID CUYO ORIGEN DE DATOS
'ES UNA BD DE ACCESS CON UNA AGENDA DE TELFONOS

'para el acceso a archivos
Imports System.IO
'para el manejo de datos
'Imports System.Data


Public Class overflow1Form
    Inherits System.Web.UI.Page

#Region " Cdigo generado por el Diseador de Web Forms "

    'El Diseador de Web Forms requiere esta llamada.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub
    Protected WithEvents capa1 As System.Web.UI.WebControls.Label
    Protected WithEvents ErrorMessage As System.Web.UI.WebControls.Label

    'NOTA: el Diseador de Web Forms necesita la siguiente declaracin del marcador de posicin.
    'No se debe eliminar o mover.
    Private designerPlaceholderDeclaration As System.Object

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        'CODEGEN: el Diseador de Web Forms requiere esta llamada de mtodo
        'No la modifique con el editor de cdigo.
        InitializeComponent()
    End Sub

#End Region

    Protected WithEvents Rejilla As System.Web.UI.WebControls.DataGrid

    'Las pginas aspx tienen una propiedad IsPostBack que informa si el formulario Web
    'ha sido enviado al servidor. La sentencia "If Not Page.IsPostBack" se refiere a si es
    'el primer acceso a la pgina aspx, en ese caso se rellena el DataGrid desde el DataSet
    Sub Page_Load(ByVal Sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        Dim sourceXML As String = Server.MapPath("empresas.xml")
        Dim Datos As DataSet = New DataSet
        If Not Page.IsPostBack Then
            'Si no se encuentra el archivo XML, no hacer nada
            If (Not File.Exists(sourceXML)) Then
                ErrorMessage.Text = "<font size=4>No se encuentra el archivo XML en la ruta prevista." &
                "<br><br>Revisa la localizacin del archivo origen XML.</font>"
            Else
                Try
                    'Rellenar los DataSet desde el archivo XML
                    Datos.ReadXml(sourceXML)
                    'Contar el nmero de filas de la tabla para mostrar informacin al usuario
                    Dim n As Integer
                    n = Datos.Tables("AgendaTb").Rows.Count
                    Dim aviso1 As String = "<b>" & n & "</b> Registros</b><br><br>"
                    capa1.Text = aviso1
                    'Si hay algn error al cargar el DataSet
                Catch pollo As Exception
                    ErrorMessage.Text = pollo.Message
                    Datos = Nothing
                End Try
                Rejilla.DataSource = Datos.Tables("AgendaTb")
                Rejilla.DataBind()
            End If
        End If
    End Sub

End Class
